
//读取配置文件中的网站背景图片设置并处理
function setBodyBackground(config) {
    const bgType = config.bgType;
    log("当前背景模式："+bgType)
    switch (bgType) {
        case 'color':
            document.body.style.setProperty('--bg-color', config.bgColor);
            log("设置背景颜色："+config.bgColor)
            break;
        case 'colorCg':
            document.body.style.setProperty('--bg-color', config.bgColorCg);
            //todo
            //直接显示太突兀了 考虑下要不要增加模糊效果
            break;
        case 'img':
            document.body.style.setProperty('--bg-image', `url(${config.bgImg})`);
            break;
        default:
            log('未知的背景类型:'+ bgType);
    }
}

